Skip to main content
GET
/
v2
/
vault-plus
/
media
/
:mediaId
Get media item with all quality variants
curl --request GET \
  --url https://api.ofauth.com/v2/vault-plus/media/:mediaId \
  --header 'apiKey: <api-key>' \
  --header 'x-connection-id: <x-connection-id>'
{
  "id": "4492994399",
  "type": "image",
  "duration": null,
  "media": {
    "full": {
      "status": "stored",
      "quality": "full",
      "sizeBytes": 1024000,
      "contentType": "image/jpeg",
      "accessCount": 12,
      "createdAt": 1715800000000,
      "expiresAt": 1715886400000,
      "storedAt": 1715800100000,
      "lastAccessedAt": 1715800500000,
      "url": "https://media.ofauth.com/v2/example-signed-media-url"
    },
    "thumb": {
      "status": "stored",
      "quality": "thumb",
      "sizeBytes": 32000,
      "contentType": "image/jpeg",
      "accessCount": 8,
      "createdAt": 1715800000000,
      "expiresAt": 1715886400000,
      "storedAt": 1715800100000,
      "lastAccessedAt": 1715800500000,
      "url": "https://media.ofauth.com/v2/example-signed-thumbnail-url"
    }
  }
}

Authorizations

apiKey
string
header
required

Your OFAuth API key for authenticating requests.

Headers

x-connection-id
string
required

Connection ID whose Vault+ cache should be read or modified.

Minimum string length: 1
Example:

"conn_v5bsqkzsjfk8cgr7hqbbw09t"

Path Parameters

mediaId
string
required

Raw OnlyFans media ID to fetch.

Example:

"4492994399"

Response

Cached media item with variants keyed by label.

A raw OnlyFans media item grouped with all cached variants.

id
string
required

Raw OnlyFans media ID. Use this ID for Vault+ media reads, batch reads, and deletes.

Example:

"4492994399"

type
enum<string>
required

Media type inferred from the cached content type.

Available options:
image,
video,
audio
Example:

"image"

duration
number | null
required

Duration in seconds for video/audio media, or null for images.

Example:

null

media
object
required

Stored variants keyed by public variant label. The variant objects intentionally omit internal variant IDs.